# ORTTensorTypeAndShapeInfo Class Reference

# ORTTensorTypeAndShapeInfo

Objective-C

    @interface ORTTensorTypeAndShapeInfo : NSObject

Swift

    class ORTTensorTypeAndShapeInfo : NSObject

A tensor’s type and shape information.

- `elementType`

  The tensor element data type.

  #### Declaration

  Objective-C

      @property (nonatomic) ORTTensorElementDataType elementType;

  Swift

      var elementType: ORTTensorElementDataType { get set }

- `shape`

  The tensor shape.

  #### Declaration

  Objective-C

      @property (nonatomic) NSArray<NSNumber *> *_Nonnull shape;

  Swift

      var shape: [NSNumber] { get set }

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.